Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Views.GUIInteractions Class Reference

Class implements IInteractions interface by message boxes or dialogs. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Views.GUIInteractions:

## Public Member Functions
bool | SaveChangesYesNoCancel ()
| Provide MessageBoxButton to ask question whether to save changes. More...
string | GetPathToOpenTopologyFile ()
| Provide OpenFileDialog to open the topology file. More...
string | GetPathToSaveTopologyFile ()
| Provide SaveFileDialog to get the path to file the topology to be saved to. More...
string | GetPathToOpenParametersFile ()
| Asking which parameters file to open for loading. More...
string | GetPathToSaveParametersFile ()
| Asking which paramters file the data to be saved into. More...
void | ScreamErrorMessage (string errorMessage)
| Provide MessageBox to scream error message. More...

## Detailed Description

Class implements IInteractions interface by message boxes or dialogs.

Definition at line 11 of file GUIInteractions.cs.

## Member Function Documentation

string Microscopic_Traffic_Simulator.Views.GUIInteractions.GetPathToOpenParametersFile | ( |  | ) |

Asking which parameters file to open for loading.

Returns
  Path to file.

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 112 of file GUIInteractions.cs.

string Microscopic_Traffic_Simulator.Views.GUIInteractions.GetPathToOpenTopologyFile | ( |  | ) |

Provide OpenFileDialog to open the topology file.

Returns
  Path of file to be opened.

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 94 of file GUIInteractions.cs.

string Microscopic_Traffic_Simulator.Views.GUIInteractions.GetPathToSaveParametersFile | ( |  | ) |

Asking which paramters file the data to be saved into.

Returns
  Path to file.

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 121 of file GUIInteractions.cs.

string Microscopic_Traffic_Simulator.Views.GUIInteractions.GetPathToSaveTopologyFile | ( |  | ) |

Provide SaveFileDialog to get the path to file the topology to be saved to.

Returns
  Path to file the topology to be saved to.

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 103 of file GUIInteractions.cs.

bool Microscopic_Traffic_Simulator.Views.GUIInteractions.SaveChangesYesNoCancel | ( |  | ) |

Provide MessageBoxButton to ask question whether to save changes.

Returns
  True/False/null for Yes/No/Cancel

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 84 of file GUIInteractions.cs.

void Microscopic_Traffic_Simulator.Views.GUIInteractions.ScreamErrorMessage | ( | string | errorMessage | ) |

Provide MessageBox to scream error message.

Parameters

  errorMessage | Text of the error message.

Implements Microscopic_Traffic_Simulator.ViewModels.IInteractions.

Definition at line 130 of file GUIInteractions.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Views/GUIInteractions.cs